Change log for gdmap package in Ubuntu

114 of 14 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-22
Deleted in cosmic-proposed (Reason: moved to release)
gdmap (0.8.1-5) unstable; urgency=medium

  * Migrate to Salsa.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.
  * Open the selected folder, instead of the current folder (from the File
    / Open... dialog). LP: #1550790.
  * Drop autogen.sh to remove the last references to deprecated gnome-
    common macros. Closes: #829890.
  * Move to “admin” section instead of “graphics”. Thanks to Sami Ledes
    for the suggestion. Closes: #721387.

 -- Stephen Kitt <email address hidden>  Tue, 22 May 2018 09:25:34 +0200

Available diffs

Superseded in cosmic-release on 2018-05-22
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-07-26
Deleted in artful-proposed (Reason: moved to release)
gdmap (0.8.1-4) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix "Local copy of intltool-* fails with perl 5.26":
    add a patch to fix the "Unescaped left brace in regex is illegal" errors.
    (Closes: #869578)

  [ Stephen Kitt ]
  * Switch to https: VCS URIs (see #810378).
  * Drop the old menu support in favour of the .desktop file.
  * Update debian/copyright.
  * Standards-Version 4.0.0, no further change required.

 -- Stephen Kitt <email address hidden>  Tue, 25 Jul 2017 22:49:53 +0200

Available diffs

Superseded in artful-release on 2017-07-26
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
gdmap (0.8.1-3) unstable; urgency=low


  * Import math-underlink.patch from Ubuntu, to link libm explicitly
    (Closes: #713618). Thanks to Daniel T Chen!
  * Switch to my Debian address.
  * Use canonical VCS URIs.
  * Add format-strings.patch to fix format string vulnerabilites
    identified with hardening options enabled.
  * Add gtk-set-locale.patch to drop deprecated gtk_set_locale().
  * Switch to debhelper compat level 9 to enable automatic hardening.
  * Use the final 1.0 copyright-format URL.
  * Standards-Version 3.9.4, no further change required.

 -- Stephen Kitt <email address hidden>  Sat, 22 Jun 2013 20:32:35 +0200
Superseded in saucy-release on 2013-06-24
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
gdmap (0.8.1-2ubuntu1) raring; urgency=low

  * Added missing math lib to link, fixing FTBFS.
 -- Daniel T Chen <email address hidden>   Sun, 07 Apr 2013 18:17:30 -0400

Available diffs

Superseded in raring-release on 2013-04-07
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
gdmap (0.8.1-2) unstable; urgency=low

  * New maintainer (Closes: #594406).
  * Switch to source format "(3.0) quilt":
    - Drop dependency on dpatch.
    - Drop 01_gtktooltip.dpatch, unused.
    - Drop 02_gtk-disable-deprecated.dpatch, unused.
    - Import 03_manpage.dpatch as manpage.patch.
    - Import 04_deprecated_GTK.dpatch as gtk-widget-macros.patch and
      handle GTK_WIDGET_SET_FLAGS as well (Closes: #621983).
    - Drop data/gdmap.desktop, intltool-extract, intltool-merge and
      intltool-update (they are generated during the build).
  * Simplify debian/rules using dh 7 and autotools-dev.
  * Correctly load gdmap's icon, and avoid printing an error message if
    the settings file doesn't exist (Closes: #579043).
  * Use link to specific GPL version in debian/copyright, and update
    copyright dates.
  * Add ${misc:Depends} dependency since we're using debhelper.
  * Add watch file.
  * Remove the obsolete "Encoding" directive from the desktop file.
  * Import patch adding new file types from Ubuntu.
  * Standards-Version 3.9.2, no further change required.
  * Convert debian/copyright to DEP5 format.
  * Reduce dependencies by linking with --as-needed (thanks to Stefano
    Rivera for this and other suggestions!).
  * Fix grammatical mistake (as suggested by Lintian).
  * Wrap and sort dependencies.
 -- Luca Bruno <email address hidden>   Fri,  10 Jun 2011 10:50:43 +0000

Available diffs

Superseded in oneiric-release on 2011-06-10
Obsolete in natty-release on 2013-06-04
gdmap (0.8.1-1.1ubuntu2) natty; urgency=low

  * debian/patches/04_deprecated_GTK.dpatch:
    - replace more deprecated macros with the correct functions
    - update previous patch to fix compiler warnings
    (LP: #756126) (Closes: #621983)
 -- Andreas Moog <email address hidden>   Sat, 23 Apr 2011 00:54:08 +0200
Superseded in natty-release on 2011-04-23
Obsolete in maverick-release on 2013-03-05
gdmap (0.8.1-1.1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Drop 02_gtk_disable_deprecated_minimal.dpatch: Fixed upstream
    - debian/rules: Make clean not ignore errors.
    -  debian/patches:
       - 91_add_filetypes.dpatch: Updated.

Superseded in maverick-release on 2010-06-16
Obsolete in lucid-release on 2016-10-26
gdmap (0.8.1-1ubuntu2) lucid; urgency=low

  * Build without -DGTK_DISABLE_DEPRECATED to fix FTBFS.
 -- Michael Bienia <email address hidden>   Sat, 24 Apr 2010 16:06:48 +0200

Available diffs

Superseded in lucid-release on 2010-04-24
gdmap (0.8.1-1ubuntu1) lucid; urgency=low

  * Merge from debian testing (LP: #490028), remaining changes:
    - debian/rules: Make clean not ignore errors.
  * debian/patches:
    - 91_add_filetypes.dpatch: Updated.
    - 90_upstream_sparse.dpatch: Dropped. This issue has been addressed and
      fixed upstream.

Available diffs

Superseded in lucid-release on 2009-11-29
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
gdmap (0.7.5-4ubuntu2) intrepid; urgency=low

  * Modify Maintainer value to match the DebianMaintainerField
    specification. (LP: #230350)

 -- Andrea Colangelo <email address hidden>   Fri, 23 May 2008 10:03:17 +0200
Superseded in intrepid-release on 2008-05-23
Obsolete in hardy-release on 2015-04-24
gdmap (0.7.5-4ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - 90_upstream_sparse.dpatch: fix (from upstream bug tracker)
      to correctly show the size of sparse files (like qemu disk images).
      (Renamed old ubuntu 06_sparse.dpatch)
    - 91_add_filetypes.dpatch:  recognize more file extensions by default
      (renamed old ubuntu 10_add_filetypes.dpatch)
    - debian/rules: Make clean not ignore errors

Superseded in hardy-release on 2008-01-19
gdmap (0.7.5-3ubuntu1) hardy; urgency=low

  * Merge from Debian unstable, changes:
    - Added 05_gtk_deprecate.dpatch: Remove the GTK_DISABLE_DEPRECATED
      flag from configure and configure.ac (Closes: #445881).
  * 06_sparse.dpatch: fix (from upstream bug tracker) to correctly show
    the size of sparse files (like qemu disk images).
  * 10_add_filetypes: recognize more file extensions by default
  * Modify Maintainer value to match the DebianMaintainerField
    specification.
  * Make clean not ignore errors

 -- Siegfried-Angel Gevatter Pujals (RainCT) <email address hidden>   Sun, 04 Nov 2007 18:31:39 +0100
Superseded in hardy-release on 2007-11-04
Obsolete in gutsy-release on 2011-09-16
gdmap (0.7.5-2ubuntu1) gutsy; urgency=low

  * configure/configure.ac remove GTK_DISABLE_DEPRECATED
  * Update maintainer per spec

 -- Barry deFreese <email address hidden>   Fri,  7 Sep 2007 17:57:06 -0400
Superseded in gutsy-release on 2007-09-07
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
gdmap (0.7.5-2) unstable; urgency=medium

  * Support for files > 2.0GB, done by adding AC_SYS_LARGEFILE to configure.ac,
    this sets _FILE_OFFSET_BITS to 64. (Closes: #367663).

114 of 14 results